Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model
Interface VViewPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VViewPackageImpl

    public interface VViewPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Since:
  1.2
See Also:
  `VViewFactory`

Nested Class Summary
`static interface` | `VViewPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ATTACHMENT` The meta object id for the '`Attachment`' class.
`static int` | `ATTACHMENT_FEATURE_COUNT` The number of structural features of the 'Attachment' class.
`static int` | `CONTAINED_CONTAINER` The meta object id for the '`Contained Container`' class.
`static int` | `CONTAINED_CONTAINER__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CONTAINED_CONTAINER__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `CONTAINED_CONTAINER__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CONTAINED_CONTAINER__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CONTAINED_CONTAINER__LABEL` The feature id for the 'Label' attribute.
`static int` | `CONTAINED_CONTAINER__NAME` The feature id for the 'Name' attribute.
`static int` | `CONTAINED_CONTAINER__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CONTAINED_CONTAINER__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CONTAINED_CONTAINER_FEATURE_COUNT` The number of structural features of the 'Contained Container' class.
`static int` | `CONTAINED_ELEMENT` The meta object id for the '`Contained Element`' class.
`static int` | `CONTAINED_ELEMENT__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CONTAINED_ELEMENT__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CONTAINED_ELEMENT__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CONTAINED_ELEMENT__LABEL` The feature id for the 'Label' attribute.
`static int` | `CONTAINED_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` | `CONTAINED_ELEMENT__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CONTAINED_ELEMENT__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CONTAINED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Contained Element' class.
`static int` | `CONTAINER` The meta object id for the '`Container`' class.
`static int` | `CONTAINER__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CONTAINER__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `CONTAINER__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CONTAINER__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CONTAINER__LABEL` The feature id for the 'Label' attribute.
`static int` | `CONTAINER__NAME` The feature id for the 'Name' attribute.
`static int` | `CONTAINER__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CONTAINER__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CONTAINER_FEATURE_COUNT` The number of structural features of the 'Container' class.
`static int` | `CONTROL` The meta object id for the '`Control`' class.
`static int` | `CONTROL__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `CONTROL__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `CONTROL__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `CONTROL__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `CONTROL__LABEL` The feature id for the 'Label' attribute.
`static int` | `CONTROL__LABEL_ALIGNMENT` The feature id for the 'Label Alignment' attribute.
`static int` | `CONTROL__NAME` The feature id for the 'Name' attribute.
`static int` | `CONTROL__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `CONTROL__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `CONTROL_FEATURE_COUNT` The number of structural features of the 'Control' class.
`static int` | `DIAGNOSTIC` The meta object id for the '`Diagnostic`' class.
`static int` | `DIAGNOSTIC__DIAGNOSTICS` The feature id for the 'Diagnostics' attribute list.
`static int` | `DIAGNOSTIC_FEATURE_COUNT` The number of structural features of the 'Diagnostic' class.
`static int` | `DOMAIN_MODEL_REFERENCE` The meta object id for the '`Domain Model Reference`' class.
`static int` | `DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER` The feature id for the 'Change Listener' attribute list.
`static int` | `DOMAIN_MODEL_REFERENCE_CHANGE_LISTENER` The meta object id for the 'Domain Model Reference Change Listener' data type.
`static int` | `DOMAIN_MODEL_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Domain Model Reference' class.
`static VViewPackage` | `eINSTANCE` The singleton instance of the package.
`static int` | `ELEMENT` The meta object id for the '`Element`' class.
`static int` | `ELEMENT__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `ELEMENT__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `ELEMENT__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `ELEMENT__LABEL` The feature id for the 'Label' attribute.
`static int` | `ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` | `ELEMENT__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `ELEMENT__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `ELEMENT_FEATURE_COUNT` The number of structural features of the 'Element' class.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `FEATURE_PATH_DOMAIN_MODEL_REFERENCE` The meta object id for the '`Feature Path Domain Model Reference`' class.
`static int` | `FEATURE_PATH_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER` The feature id for the 'Change Listener' attribute list.
`static int` | `FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE` The feature id for the 'Domain Model EFeature' reference.
`static int` | `FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH` The feature id for the 'Domain Model EReference Path' reference list.
`static int` | `FEATURE_PATH_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Feature Path Domain Model Reference' class.
`static int` | `LABEL_ALIGNMENT` The meta object id for the '`Label Alignment`' enum.
`static int` | `VIEW` The meta object id for the '`View`' class.
`static int` | `VIEW__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `VIEW__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `VIEW__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `VIEW__ECORE_PATH` The feature id for the 'Ecore Path' attribute.
`static int` | `VIEW__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `VIEW__LABEL` The feature id for the 'Label' attribute.
`static int` | `VIEW__NAME` The feature id for the 'Name' attribute.
`static int` | `VIEW__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `VIEW__ROOT_ECLASS` The feature id for the 'Root EClass' reference.
`static int` | `VIEW__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `VIEW_FEATURE_COUNT` The number of structural features of the 'View' class.

Method Summary
`org.eclipse.emf.ecore.EClass` | `getAttachment()` Returns the meta object for class '`Attachment`'.
`org.eclipse.emf.ecore.EClass` | `getContainedContainer()` Returns the meta object for class '`Contained Container`'.
`org.eclipse.emf.ecore.EClass` | `getContainedElement()` Returns the meta object for class '`Contained Element`'.
`org.eclipse.emf.ecore.EReference` | `getContainer_Children()` Returns the meta object for the containment reference list ' `Children`'.
`org.eclipse.emf.ecore.EClass` | `getContainer()` Returns the meta object for class '`Container`'.
`org.eclipse.emf.ecore.EReference` | `getControl_DomainModelReference()` Returns the meta object for the containment reference ' `Domain Model Reference`'.
`org.eclipse.emf.ecore.EAttribute` | `getControl_LabelAlignment()` Returns the meta object for the attribute '`Label Alignment`'.
`org.eclipse.emf.ecore.EClass` | `getControl()` Returns the meta object for class '`Control`'.
`org.eclipse.emf.ecore.EAttribute` | `getDiagnostic_Diagnostics()` Returns the meta object for the attribute list ' `Diagnostics`'.
`org.eclipse.emf.ecore.EClass` | `getDiagnostic()` Returns the meta object for class '`Diagnostic`'.
`org.eclipse.emf.ecore.EAttribute` | `getDomainModelReference_ChangeListener()` Returns the meta object for the attribute list ' `Change Listener`'.
`org.eclipse.emf.ecore.EClass` | `getDomainModelReference()` Returns the meta object for class '`Domain Model Reference`'.
`org.eclipse.emf.ecore.EDataType` | `getDomainModelReferenceChangeListener()` Returns the meta object for data type ' `Domain Model Reference Change Listener`'.
`org.eclipse.emf.ecore.EReference` | `getElement_Attachments()` Returns the meta object for the containment reference list ' `Attachments`'.
`org.eclipse.emf.ecore.EReference` | `getElement_Diagnostic()` Returns the meta object for the containment reference ' `Diagnostic`'.
`org.eclipse.emf.ecore.EAttribute` | `getElement_Enabled()` Returns the meta object for the attribute '`Enabled`'.
`org.eclipse.emf.ecore.EAttribute` | `getElement_Label()` Returns the meta object for the attribute '`Label`'.
`org.eclipse.emf.ecore.EAttribute` | `getElement_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getElement_Readonly()` Returns the meta object for the attribute '`Readonly`'.
`org.eclipse.emf.ecore.EAttribute` | `getElement_Visible()` Returns the meta object for the attribute '`Visible`'.
`org.eclipse.emf.ecore.EClass` | `getElement()` Returns the meta object for class '`Element`'.
`org.eclipse.emf.ecore.EReference` | `getFeaturePathDomainModelReference_DomainModelEFeature()` Returns the meta object for the reference ' `Domain Model EFeature`'.
`org.eclipse.emf.ecore.EReference` | `getFeaturePathDomainModelReference_DomainModelEReferencePath()` Returns the meta object for the reference list ' `Domain Model EReference Path`'.
`org.eclipse.emf.ecore.EClass` | `getFeaturePathDomainModelReference()` Returns the meta object for class '`Feature Path Domain Model Reference`'.
`org.eclipse.emf.ecore.EEnum` | `getLabelAlignment()` Returns the meta object for enum '`Label Alignment`'.
`org.eclipse.emf.ecore.EReference` | `getView_Children()` Returns the meta object for the containment reference list ' `Children`'.
`org.eclipse.emf.ecore.EAttribute` | `getView_EcorePath()` Returns the meta object for the attribute '`Ecore Path`'.
`org.eclipse.emf.ecore.EReference` | `getView_RootEClass()` Returns the meta object for the reference '`Root EClass`'.
`org.eclipse.emf.ecore.EClass` | `getView()` Returns the meta object for class '`View`'.
`VViewFactory` | `getViewFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VViewPackage eINSTANCE

  The singleton instance of the package.

### ELEMENT

    static final int ELEMENT

  The meta object id for the '`Element`' class.

  See Also:
    `VElementImpl`, `VViewPackageImpl.getElement()`, Constant Field Values

### DIAGNOSTIC

    static final int DIAGNOSTIC

  The meta object id for the '`Diagnostic`' class.

  See Also:
    `VDiagnosticImpl`, `VViewPackageImpl.getDiagnostic()`, Constant Field Values

### DIAGNOSTIC__DIAGNOSTICS

    static final int DIAGNOSTIC__DIAGNOSTICS

  The feature id for the 'Diagnostics' attribute list.

  See Also:
    Constant Field Values

### DIAGNOSTIC_FEATURE_COUNT

    static final int DIAGNOSTIC_FEATURE_COUNT

  The number of structural features of the 'Diagnostic' class.

  See Also:
    Constant Field Values

### VIEW

    static final int VIEW

  The meta object id for the '`View`' class.

  See Also:
    `VViewImpl`, `VViewPackageImpl.getView()`, Constant Field Values

### CONTROL

    static final int CONTROL

  The meta object id for the '`Control`' class.

  See Also:
    `VControlImpl`, `VViewPackageImpl.getControl()`, Constant Field Values

### ATTACHMENT

    static final int ATTACHMENT

  The meta object id for the '`Attachment`' class.

  See Also:
    `VAttachmentImpl`, `VViewPackageImpl.getAttachment()`, Constant Field Values

### ATTACHMENT_FEATURE_COUNT

    static final int ATTACHMENT_FEATURE_COUNT

  The number of structural features of the 'Attachment' class.

  See Also:
    Constant Field Values

### DOMAIN_MODEL_REFERENCE

    static final int DOMAIN_MODEL_REFERENCE

  The meta object id for the '`Domain Model Reference`' class.

  See Also:
    `VDomainModelReference`, `VViewPackageImpl.getDomainModelReference()`, Constant Field Values

### DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

    static final int DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

  The feature id for the 'Change Listener' attribute list.

  Since:
    1.3
  See Also:
    Constant Field Values

### DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

    static final int DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Domain Model Reference' class.

  See Also:
    Constant Field Values

### FEATURE_PATH_DOMAIN_MODEL_REFERENCE

    static final int FEATURE_PATH_DOMAIN_MODEL_REFERENCE

  The meta object id for the '`Feature Path Domain Model Reference`' class.

  See Also:
    `VFeaturePathDomainModelReferenceImpl`, `VViewPackageImpl.getFeaturePathDomainModelReference()`, Constant Field Values

### FEATURE_PATH_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

    static final int FEATURE_PATH_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

  The feature id for the 'Change Listener' attribute list.

  Since:
    1.3
  See Also:
    Constant Field Values

### FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

    static final int FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

  The feature id for the 'Domain Model EFeature' reference.

  See Also:
    Constant Field Values

### FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

    static final int FEATURE_PATH_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

  The feature id for the 'Domain Model EReference Path' reference list.

  See Also:
    Constant Field Values

### FEATURE_PATH_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

    static final int FEATURE_PATH_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Feature Path Domain Model Reference' class.

  See Also:
    Constant Field Values

### ELEMENT__NAME

    static final int ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ELEMENT__LABEL

    static final int ELEMENT__LABEL

  The feature id for the 'Label' attribute.

  Since:
    1.6
  See Also:
    Constant Field Values

### ELEMENT__VISIBLE

    static final int ELEMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### ELEMENT__ENABLED

    static final int ELEMENT__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### ELEMENT__READONLY

    static final int ELEMENT__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### ELEMENT__DIAGNOSTIC

    static final int ELEMENT__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### ELEMENT__ATTACHMENTS

    static final int ELEMENT__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### ELEMENT_FEATURE_COUNT

    static final int ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Element' class.

  See Also:
    Constant Field Values

### VIEW__NAME

    static final int VIEW__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### VIEW__LABEL

    static final int VIEW__LABEL

  The feature id for the 'Label' attribute.

  Since:
    1.6
  See Also:
    Constant Field Values

### VIEW__VISIBLE

    static final int VIEW__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### VIEW__ENABLED

    static final int VIEW__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### VIEW__READONLY

    static final int VIEW__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### VIEW__DIAGNOSTIC

    static final int VIEW__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### VIEW__ATTACHMENTS

    static final int VIEW__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### VIEW__ROOT_ECLASS

    static final int VIEW__ROOT_ECLASS

  The feature id for the 'Root EClass' reference.

  See Also:
    Constant Field Values

### VIEW__CHILDREN

    static final int VIEW__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### VIEW__ECORE_PATH

    static final int VIEW__ECORE_PATH

  The feature id for the 'Ecore Path' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### VIEW_FEATURE_COUNT

    static final int VIEW_FEATURE_COUNT

  The number of structural features of the 'View' class.

  Since:
    1.3
  See Also:
    Constant Field Values

### CONTAINED_ELEMENT

    static final int CONTAINED_ELEMENT

  The meta object id for the '`Contained Element`' class.

  See Also:
    `VContainedElementImpl`, `VViewPackageImpl.getContainedElement()`, Constant Field Values

### CONTAINED_ELEMENT__NAME

    static final int CONTAINED_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CONTAINED_ELEMENT__LABEL

    static final int CONTAINED_ELEMENT__LABEL

  The feature id for the 'Label' attribute.

  Since:
    1.6
  See Also:
    Constant Field Values

### CONTAINED_ELEMENT__VISIBLE

    static final int CONTAINED_ELEMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### CONTAINED_ELEMENT__ENABLED

    static final int CONTAINED_ELEMENT__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### CONTAINED_ELEMENT__READONLY

    static final int CONTAINED_ELEMENT__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### CONTAINED_ELEMENT__DIAGNOSTIC

    static final int CONTAINED_ELEMENT__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### CONTAINED_ELEMENT__ATTACHMENTS

    static final int CONTAINED_ELEMENT__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### CONTAINED_ELEMENT_FEATURE_COUNT

    static final int CONTAINED_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Contained Element' class.

  See Also:
    Constant Field Values

### CONTAINER

    static final int CONTAINER

  The meta object id for the '`Container`' class.

  See Also:
    `VContainerImpl`, `VViewPackageImpl.getContainer()`, Constant Field Values

### CONTAINER__NAME

    static final int CONTAINER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CONTAINER__LABEL

    static final int CONTAINER__LABEL

  The feature id for the 'Label' attribute.

  Since:
    1.6
  See Also:
    Constant Field Values

### CONTAINER__VISIBLE

    static final int CONTAINER__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### CONTAINER__ENABLED

    static final int CONTAINER__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### CONTAINER__READONLY

    static final int CONTAINER__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### CONTAINER__DIAGNOSTIC

    static final int CONTAINER__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### CONTAINER__ATTACHMENTS

    static final int CONTAINER__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### CONTAINER__CHILDREN

    static final int CONTAINER__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### CONTAINER_FEATURE_COUNT

    static final int CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Container' class.

  See Also:
    Constant Field Values

### CONTAINED_CONTAINER

    static final int CONTAINED_CONTAINER

  The meta object id for the '`Contained Container`' class.

  Since:
    1.4
  See Also:
    `VContainedContainerImpl`, `VViewPackageImpl.getContainedContainer()`, Constant Field Values

### CONTAINED_CONTAINER__NAME

    static final int CONTAINED_CONTAINER__NAME

  The feature id for the 'Name' attribute.

  Since:
    1.4
  See Also:
    Constant Field Values

### CONTAINED_CONTAINER__LABEL

    static final int CONTAINED_CONTAINER__LABEL

  The feature id for the 'Label' attribute.

  Since:
    1.6
  See Also:
    Constant Field Values

### CONTAINED_CONTAINER__VISIBLE

    static final int CONTAINED_CONTAINER__VISIBLE

  The feature id for the 'Visible' attribute.

  Since:
    1.4
  See Also:
    Constant Field Values

### CONTAINED_CONTAINER__ENABLED

    static final int CONTAINED_CONTAINER__ENABLED

  The feature id for the 'Enabled' attribute.

  Since:
    1.4
  See Also:
    Constant Field Values

### CONTAINED_CONTAINER__READONLY

    static final int CONTAINED_CONTAINER__READONLY

  The feature id for the 'Readonly' attribute.

  Since:
    1.4
  See Also:
    Constant Field Values

### CONTAINED_CONTAINER__DIAGNOSTIC

    static final int CONTAINED_CONTAINER__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  Since:
    1.4
  See Also:
    Constant Field Values

### CONTAINED_CONTAINER__ATTACHMENTS

    static final int CONTAINED_CONTAINER__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  Since:
    1.4
  See Also:
    Constant Field Values

### CONTAINED_CONTAINER__CHILDREN

    static final int CONTAINED_CONTAINER__CHILDREN

  The feature id for the 'Children' containment reference list.

  Since:
    1.4
  See Also:
    Constant Field Values

### CONTAINED_CONTAINER_FEATURE_COUNT

    static final int CONTAINED_CONTAINER_FEATURE_COUNT

  The number of structural features of the 'Contained Container' class.

  Since:
    1.4
  See Also:
    Constant Field Values

### CONTROL__NAME

    static final int CONTROL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CONTROL__LABEL

    static final int CONTROL__LABEL

  The feature id for the 'Label' attribute.

  Since:
    1.6
  See Also:
    Constant Field Values

### CONTROL__VISIBLE

    static final int CONTROL__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### CONTROL__ENABLED

    static final int CONTROL__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### CONTROL__READONLY

    static final int CONTROL__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### CONTROL__DIAGNOSTIC

    static final int CONTROL__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### CONTROL__ATTACHMENTS

    static final int CONTROL__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### CONTROL__LABEL_ALIGNMENT

    static final int CONTROL__LABEL_ALIGNMENT

  The feature id for the 'Label Alignment' attribute.

  See Also:
    Constant Field Values

### CONTROL__DOMAIN_MODEL_REFERENCE

    static final int CONTROL__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  See Also:
    Constant Field Values

### CONTROL_FEATURE_COUNT

    static final int CONTROL_FEATURE_COUNT

  The number of structural features of the 'Control' class.

  See Also:
    Constant Field Values

### LABEL_ALIGNMENT

    static final int LABEL_ALIGNMENT

  The meta object id for the '`Label Alignment`' enum.

  See Also:
    `LabelAlignment`, `VViewPackageImpl.getLabelAlignment()`, Constant Field Values

### DOMAIN_MODEL_REFERENCE_CHANGE_LISTENER

    static final int DOMAIN_MODEL_REFERENCE_CHANGE_LISTENER

  The meta object id for the 'Domain Model Reference Change Listener' data type.

  Since:
    1.3
  See Also:
    `DomainModelReferenceChangeListener`, `VViewPackageImpl.getDomainModelReferenceChangeListener()`, Constant Field Values

Method Detail

### getElement

    org.eclipse.emf.ecore.EClass getElement()

  Returns the meta object for class '`Element`'.

  Returns:
    the meta object for class 'Element'.
  See Also:
    `VElement`

### getElement_Name

    org.eclipse.emf.ecore.EAttribute getElement_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `VElement.getName()`, `getElement()`

### getElement_Label

    org.eclipse.emf.ecore.EAttribute getElement_Label()

  Returns the meta object for the attribute '`Label`'.

  Returns:
    the meta object for the attribute 'Label'.
  Since:
    1.6
  See Also:
    `VElement.getLabel()`, `getElement()`

### getElement_Visible

    org.eclipse.emf.ecore.EAttribute getElement_Visible()

  Returns the meta object for the attribute '`Visible`'.

  Returns:
    the meta object for the attribute 'Visible'.
  See Also:
    `VElement.isVisible()`, `getElement()`

### getElement_Enabled

    org.eclipse.emf.ecore.EAttribute getElement_Enabled()

  Returns the meta object for the attribute '`Enabled`'.

  Returns:
    the meta object for the attribute 'Enabled'.
  See Also:
    `VElement.isEnabled()`, `getElement()`

### getElement_Readonly

    org.eclipse.emf.ecore.EAttribute getElement_Readonly()

  Returns the meta object for the attribute '`Readonly`'.

  Returns:
    the meta object for the attribute 'Readonly'.
  See Also:
    `VElement.isReadonly()`, `getElement()`

### getElement_Diagnostic

    org.eclipse.emf.ecore.EReference getElement_Diagnostic()

  Returns the meta object for the containment reference ' `Diagnostic`'.

  Returns:
    the meta object for the containment reference 'Diagnostic'.
  See Also:
    `VElement.getDiagnostic()`, `getElement()`

### getElement_Attachments

    org.eclipse.emf.ecore.EReference getElement_Attachments()

  Returns the meta object for the containment reference list ' `Attachments`'.

  Returns:
    the meta object for the containment reference list 'Attachments'.
  See Also:
    `VElement.getAttachments()`, `getElement()`

### getDiagnostic

    org.eclipse.emf.ecore.EClass getDiagnostic()

  Returns the meta object for class '`Diagnostic`'.

  Returns:
    the meta object for class 'Diagnostic'.
  See Also:
    `VDiagnostic`

### getDiagnostic_Diagnostics

    org.eclipse.emf.ecore.EAttribute getDiagnostic_Diagnostics()

  Returns the meta object for the attribute list ' `Diagnostics`'.

  Returns:
    the meta object for the attribute list 'Diagnostics'.
  See Also:
    `VDiagnostic.getDiagnostics()`, `getDiagnostic()`

### getView

    org.eclipse.emf.ecore.EClass getView()

  Returns the meta object for class '`View`'.

  Returns:
    the meta object for class 'View'.
  See Also:
    `VView`

### getView_RootEClass

    org.eclipse.emf.ecore.EReference getView_RootEClass()

  Returns the meta object for the reference '`Root EClass`'.

  Returns:
    the meta object for the reference 'Root EClass'.
  See Also:
    `VView.getRootEClass()`, `getView()`

### getView_Children

    org.eclipse.emf.ecore.EReference getView_Children()

  Returns the meta object for the containment reference list ' `Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `VView.getChildren()`, `getView()`

### getView_EcorePath

    org.eclipse.emf.ecore.EAttribute getView_EcorePath()

  Returns the meta object for the attribute '`Ecore Path`'.

  Returns:
    the meta object for the attribute 'Ecore Path'.
  Since:
    1.3
  See Also:
    `VView.getEcorePath()`, `getView()`

### getContainedElement

    org.eclipse.emf.ecore.EClass getContainedElement()

  Returns the meta object for class '`Contained Element`'.

  Returns:
    the meta object for class 'Contained Element'.
  See Also:
    `VContainedElement`

### getControl

    org.eclipse.emf.ecore.EClass getControl()

  Returns the meta object for class '`Control`'.

  Returns:
    the meta object for class 'Control'.
  See Also:
    `VControl`

### getControl_DomainModelReference

    org.eclipse.emf.ecore.EReference getControl_DomainModelReference()

  Returns the meta object for the containment reference ' `Domain Model Reference`'.

  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  See Also:
    `VControl.getDomainModelReference()`, `getControl()`

### getContainer

    org.eclipse.emf.ecore.EClass getContainer()

  Returns the meta object for class '`Container`'.

  Returns:
    the meta object for class 'Container'.
  See Also:
    `VContainer`

### getContainer_Children

    org.eclipse.emf.ecore.EReference getContainer_Children()

  Returns the meta object for the containment reference list ' `Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `VContainer.getChildren()`, `getContainer()`

### getContainedContainer

    org.eclipse.emf.ecore.EClass getContainedContainer()

  Returns the meta object for class '`Contained Container`'.

  Returns:
    the meta object for class 'Contained Container'.
  Since:
    1.4
  See Also:
    `VContainedContainer`

### getControl_LabelAlignment

    org.eclipse.emf.ecore.EAttribute getControl_LabelAlignment()

  Returns the meta object for the attribute '`Label Alignment`'.

  Returns:
    the meta object for the attribute 'Label Alignment'.
  See Also:
    `VControl.getLabelAlignment()`, `getControl()`

### getLabelAlignment

    org.eclipse.emf.ecore.EEnum getLabelAlignment()

  Returns the meta object for enum '`Label Alignment`'.

  Returns:
    the meta object for enum 'Label Alignment'.
  See Also:
    `LabelAlignment`

### getDomainModelReferenceChangeListener

    org.eclipse.emf.ecore.EDataType getDomainModelReferenceChangeListener()

  Returns the meta object for data type ' `Domain Model Reference Change Listener`'.

  Returns:
    the meta object for data type 'Domain Model Reference Change Listener'.
  Since:
    1.3
  See Also:
    `DomainModelReferenceChangeListener`

### getDomainModelReference

    org.eclipse.emf.ecore.EClass getDomainModelReference()

  Returns the meta object for class '`Domain Model Reference`'.

  Returns:
    the meta object for class 'Domain Model Reference'.
  See Also:
    `VDomainModelReference`

### getDomainModelReference_ChangeListener

    org.eclipse.emf.ecore.EAttribute getDomainModelReference_ChangeListener()

  Returns the meta object for the attribute list ' `Change Listener`'.

  Returns:
    the meta object for the attribute list 'Change Listener'.
  Since:
    1.3
  See Also:
    `VDomainModelReference.getChangeListener()`, `getDomainModelReference()`

### getFeaturePathDomainModelReference

    org.eclipse.emf.ecore.EClass getFeaturePathDomainModelReference()

  Returns the meta object for class '`Feature Path Domain Model Reference`'.

  Returns:
    the meta object for class 'Feature Path Domain Model Reference'.
  See Also:
    `VFeaturePathDomainModelReference`

### getFeaturePathDomainModelReference_DomainModelEFeature

    org.eclipse.emf.ecore.EReference getFeaturePathDomainModelReference_DomainModelEFeature()

  Returns the meta object for the reference ' `Domain Model EFeature`'.

  Returns:
    the meta object for the reference 'Domain Model EFeature'.
  See Also:
    `VFeaturePathDomainModelReference.getDomainModelEFeature()`, `getFeaturePathDomainModelReference()`

### getFeaturePathDomainModelReference_DomainModelEReferencePath

    org.eclipse.emf.ecore.EReference getFeaturePathDomainModelReference_DomainModelEReferencePath()

  Returns the meta object for the reference list ' `Domain Model EReference Path`'.

  Returns:
    the meta object for the reference list 'Domain Model EReference Path'.
  See Also:
    `VFeaturePathDomainModelReference.getDomainModelEReferencePath()`, `getFeaturePathDomainModelReference()`

### getAttachment

    org.eclipse.emf.ecore.EClass getAttachment()

  Returns the meta object for class '`Attachment`'.

  Returns:
    the meta object for class 'Attachment'.
  See Also:
    `VAttachment`

### getViewFactory

    VViewFactory getViewFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.